Package org.apache.sling.starter.testservices.repository

# Class SystemUsersInitializer

java.lang.Object
org.apache.sling.starter.testservices.repository.SystemUsersInitializer

All Implemented Interfaces:
  `org.apache.sling.jcr.api.SlingRepositoryInitializer`

public class SystemUsersInitializer extends Object implements org.apache.sling.jcr.api.SlingRepositoryInitializer
SlingRepositoryInitializer that creates system users and sets their ACLs. Meant to be used for our integration tests until we can create those from the provisioning model.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`REPOINIT_FILE`

## Constructor Summary

Constructors
Constructor
Description
`SystemUsersInitializer()`

## Method Summary

Modifier and Type
Method
Description
`void`
`processRepository(org.apache.sling.jcr.api.SlingRepository repo)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### REPOINIT_FILE

public static final String REPOINIT_FILE

See Also:
  - Constant Field Values

## Constructor Details

### SystemUsersInitializer

public SystemUsersInitializer()

## Method Details

### processRepository

public void processRepository(org.apache.sling.jcr.api.SlingRepository repo) throws Exception

Specified by:
  `processRepository` in interface `org.apache.sling.jcr.api.SlingRepositoryInitializer`
Throws:
  `Exception`